/*Allgemeine Werte*/
@keyframes headerfade {
    from {
        opacity: 0;
    }

    to {
        visibility: 1;
    }
}

body {
    margin: 0px;
    padding: 0px;
    overflow-x: hidden;
    text-align: center;
    background-color: #ffffff;

}

header {
    width: 100vw;
    display: block;
    min-height: 100px;
    height: 350px;
    align-items: center;

}

/*Eindeutige Objekte*/
#topNavigation{
    text-align: center;
    height: 80px;
}
#logoContainer{
    width: 5vw;
    float: left;
    height: 100%;
}
#logo{
    float: left;
    margin-top: 8px;
    padding-left: 15px;
    height: 80%;
}
#yearSelectContainer{
    float: left;
    display: inline;
    margin-left: 15vw;
    width: 60vw;
    height: 100%;
    text-align: center;
    align-items: center;

}
#current_year_2 {
    height: 100%;
    background-color: transparent;
    color: #FF8C00;
    font-size: 40px;
    border: none;
    cursor: pointer;
}
#menuContainer{
    display: flex;
    align-items: center;
    justify-content: center;
    float: right;
    height: 100%;
}
#menuButton {
    background-color: transparent;
    border: none;
    color: #FF8C00;
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 16px;
}
#closeYearsContainer{
    display: block;
    width: 100%;
    text-align: right;
}
#closeImg{
    height: 20px;
    cursor: pointer;
}
#slider-container {
    height: 100%;
    min-height: 100px;
    width: 100vw;
    display: inline;
    margin: 0 auto;
    position: relative;
    z-index: 0;
    overflow: hidden;
    opacity: 100%;
}

/*Objektklassen*/
.vertical-center {
    margin: 0;
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
  }

  .btn:hover {
    background-color: RoyalBlue;
  }
/* The Modal (background) */
.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgba(0, 0, 0, 0.6);
    /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    max-width: 400px;
    /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    border-radius: 5px;
    width: 80%;

    /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.loader {
    position: relative;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100%;
    min-height: 100px;
    background-color: #ffffff;
    text-align: center;
}
.yearButtonContainer{
    text-align: center;
    width: 100%;
}
.yearButton {
    background-color: transparent;
    margin-top: 15px;
    text-align: center;
    display: block;
    font-size: 20px;
    text-decoration: none;
    color: #FF8C00;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
    border: none;
}

.loadImg {
    height: 75%;
    min-height: 100px;
    opacity: 80%;
}

.slider {
    position: absolute;
    display: flex;
    flex-flow: row nowrap;
}

.slider-instant {
    transition: none;
}

.slider-animate {
    margin-left: 0;
}

.slider-extra {
    display: flex;
    flex-flow: row nowrap;
}

.slider-last {
    min-width: 100vw;
    max-width: 100vw;
    overflow: hidden;
}

.slider .slider-extra {
    margin-right: 0;
}

.slider img {
    height: inherit;
    vertical-align: inherit;
    border: inherit;
    height: 25vh;

    min-height: 100px;
}

.sidenav {
    font-family: "Consolas", "Menlo", "Courier", monospace;
    width: 20vw;
    display: inline;
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 2;
    top: 0;
    right: 0;
    background-color: #fefefe;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 40px;

}
.sidenav_link {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 20px;
    color: #FF8C00;
    display: block;
    border: none;
}

.sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
    text-decoration: none;
    color: #FF370F;
}

.image-bar {
    display: block;
}

.mobileImgDiv {
    display: none;
    opacity: 100%;
}

.mobileImg {
    display: none;
}

.sitenav_pc {
    font-family: "Consolas", "Menlo", "Courier", monospace;
    width: 100%;
    display: block;

}

.sitenav_pc ul {
    list-style-type: none;
    padding: 0;
    overflow: hidden;
    background-color: #333;
    margin: 0;
    display: block;
}

.main-nav {
    display: block;
    float: left;
    height: 100%;
}

.sitenav_pc li a {
    padding-right: 15px;
    ;
    padding-left: 15px;
    padding-top: 5px;
    padding-bottom: 5px;
    display: block;
    color: white;
    text-decoration: none;
    text-align: center;
    height: 100%;
    vertical-align: middle;
}

.bar1, .bar2, .bar3 {
    width: 40px;
    height: 6px;
    background-color: #FF8C00;
    margin: 6px 0;
    transition: 0.4s;

}

/* Hover Elements */
.sitenav_pc li a:hover {
    background-color: #111;
}

@keyframes yearSelecterseq {
    100% {
        opacity: 1;
    }
}

/*  Handy ansicht*/
@media only screen and (max-width: 1030px) {
    header{
        height: auto;
    }
    #yearSelectContainer{
        margin-left: 0;
        width: 100vw;

    }
    #current_year {
        font-size: 30px;
    }
    #logo{
        float: left;
        margin-top: 8px;
        padding-left: 15px;
        height: 80%;
    }

    .loader {
        height: 67vw;
        width: 100vw;
    }

    .loadImg {
        margin-top: 20%;

    }
    .sidenav {

    }

    #slider-container {
        display: none;
    }

    .mobileImgDiv {
        display: block;
        width: 100%;
    }

    .mobileImg {
        display: inline;
        width: 100%;
    }

    .yearSelectionDiv {
        width: 90vw;
        margin-top: 20px;
    }

    .yearelement {
        display: inline-block;
        margin-left: 10px;
        border: solid;
        margin-top: 30px;
        padding: 5px;
        border-radius: 20px;
        cursor: pointer;
        opacity: 0.2;
        font-size: 15px;

    }

    .sitenav_pc {
        display: none;
    }

    .sitenav_mobil {
        display: list-item;
        position: absolute;
        top: 0;
        width: 100%;
        horiz-align: center;

    }

    .sitenav_mobil ul {
        list-style-type: none;
        padding: 0;
        overflow: hidden;
        background-color: transparent;
        margin: 0;
    }

    .sitenav_mobil li {
        float: right;
        width: 10vw;
        padding-right: 5vw;
        padding-top: 2vw;
    }

    .sitenav_mobil li a {
        display: block;
        color: white;
        padding: 0.7vw;

        text-decoration: none;
        text-align: center;
    }

    .sitenav_mobil li a img {
        width: 10vw;
    }

    .sitenav_pc li a:hover {
        background-color: transparent;
    }

    .sidenav a:hover {
        color: black;
    }

    .arrowr img:hover {
        height: 10vw;
    }

    .arrowl img:hover {
        height: 10vw;
    }
}

a {
    text-decoration: none;
    color: #ff9e00;

}

a:hover {
    font-weight: bold;
}